Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataPopulation

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataPopulation

All Implemented Interfaces:
  IDataPopulation

public class DataPopulation
extends java.lang.Object
implements IDataPopulation

DataPopulation
Classe d'accès aux données manipulant les populations
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataPopulation()`

Method Summary
`void` | `addPopulation(org.esupportail.portal.utils.database.Query query, Population population)` Ajout d'une population
`Population` | `getPopulation(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération d'une population
`void` | `removePopulation(org.esupportail.portal.utils.database.Query query, java.lang.String intranet)` Suppression d'une population

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataPopulation

    public DataPopulation()

Method Detail

### getPopulation

    public Population getPopulation(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id)
                             throws DataException

  Récupération d'une population

  Specified by:
    `getPopulation` in interface `IDataPopulation`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant d'intranet
  Returns:
    La population de l'intranet
  Throws:
    `DataException`

### addPopulation

    public void addPopulation(org.esupportail.portal.utils.database.Query query,
                              Population population)
                       throws DataException

  Ajout d'une population

  Specified by:
    `addPopulation` in interface `IDataPopulation`
  Parameters:
    `query` - La connexion à utiliser
    `population` - La population à ajouter
  Throws:
    `DataException`

### removePopulation

    public void removePopulation(org.esupportail.portal.utils.database.Query query,
                                 java.lang.String intranet)
                          throws DataException

  Suppression d'une population

  Specified by:
    `removePopulation` in interface `IDataPopulation`
  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant de l'intranet dont on souhaite supprimer la population
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD